#include "kiss.h"

/* Copyright (c) 2009, Zoe Stephenson.  All rights reserved, redistribution
 *  * permitted under the terms of the BSD license (see LICENSE for details) */

/*- Package description

 Kiss dump routines:

   Use these routines to dump the contents of the various types
   used by the kiss system.  Each will produce output on stdout.

*/


/*- Prototypes for local use */

/* Show the content of one kiss event */
void dump_kiss(kiss *k);


/*- Package contents */

/* Show the content of one kiss event */
void dump_kiss(kiss *k)
{
    PROTECT(k)
    {
        printf("Kiss occured at x=%d, y=%d time=%ld\n", k->x, k->y, k->time);
        printf("Keyboard and mod state=%x\n", k->state);
    }
    else
    {
        printf("Null kiss struct found\n");
    }
}

/* Show the content of a queue of kiss events */
void dump_kiss_list(kiss_list *queue)
{
    kiss_list
        *q=queue;

    printf("Kiss queue:\n");
    while(q!=NULLkiss_list)
    {
        dump_kiss(q->content);

        q=q->next;
    }
    printf("End of queue\n");
}
